# to install just run
# pip install rdflib
# or
# pip install -r requirements.txt

import rdflib
from rdflib import Graph, URIRef, Literal, RDFS

g=rdflib.Graph()
g.load('http://dbpedia.org/resource/Mannheim')

for s,p,o in g:
    print(s,p,o)

print("Country of Mannheim:")
print(g.value(URIRef("http://dbpedia.org/resource/Mannheim"), URIRef("http://dbpedia.org/ontology/country")))



#generate a new graph
g = Graph()

mannheim = URIRef('http://example.com/Mannheim')
mannheim_literal = Literal("Mannheim")
# Add triples using add method
g.add((mannheim, RDFS.label, mannheim_literal))
g.add((mannheim, RDFS.label, Literal("Mannheim", lang="de")))

print( g.serialize(format='n3') )